Update Labeling Annotation
Update annotation fields or status.
Path Parameters
annotation_id*string
Format
uuidHeader Parameters
x-workspace-id?|
Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).
Request Body
application/json
status?|
Updated annotation status: 'accepted', 'rejected', 'flagged', or 'pending'
start_offset?|
Updated start character offset
end_offset?|
Updated end character offset
label?|
Updated label
text?|
Updated annotated text span
explanation?|
Updated explanation
message_part_index?|
Updated message part index
reviewed?|
Whether the annotation has been reviewed
Response Body
application/json
application/json
curl -X PATCH "https://loading/v1/labeling-annotations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",
"origin_annotation_id": "09ad872c-fa7e-4756-bb97-ffa5bf6d364d",
"parent_labeling_annotation_id": "89d055e7-159c-46f3-aea4-2ec38e987b53",
"status": "string",
"start_offset": 0,
"end_offset": 0,
"label": "string",
"text": "string",
"explanation": "string",
"message_part_index": 0,
"reviewed": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}